﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace PanelBarBinding
{
	public class PanelBarItemViewModel : INotifyPropertyChanged
	{
		private bool isExpanded;
		private bool isSelected;
		private ObservableCollection<PanelBarItemViewModel> itemControls;

		public PanelBarItemViewModel()
		{
			this.itemControls = new ObservableCollection<PanelBarItemViewModel>();
		}

		public string Header { get; set; }

		public ObservableCollection<PanelBarItemViewModel> ItemControls
		{
			get
			{
				return this.itemControls;
			}
		}

		public bool IsExpanded
		{
			get
			{
				return this.isExpanded;
			}
			set
			{
				this.isExpanded = value;
				OnPropertyChanged("IsExpanded");
			}
		}

		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				this.isSelected = value;
				OnPropertyChanged("IsSelected");
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
